Page MenuHomePhabricator

Scale merge operations (tracking)
Closed, ResolvedPublic

Description

Zuul merge operations are slowing down Zuul processing. git fetch is too slow when there are thousands and thousands of references. There is only one Zuul merger handling the work.

This is a tracking bug.

Details

Reference
bz68480

Related Objects

StatusAssignedTask
Resolvedhashar
Declinedhashar
Resolvedhashar
OpenNone
Resolvedhashar
Resolvedelukey
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedKrinkle
ResolvedKrinkle
ResolvedKrinkle
Resolvedhashar
ResolvedKrinkle
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar
ResolvedAndrew
Resolvedchasemp
Resolvedhashar
Resolvedhashar
Resolvedhashar
Resolvedhashar

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:28 AM
bzimport set Reference to bz68480.
bzimport added a subscriber: Unknown Object (MLST).
hashar created this task.Jul 23 2014, 9:30 PM
demon removed a subscriber: demon.Dec 16 2014, 6:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 2:10 PM
hashar closed this task as Resolved.Oct 28 2015, 2:11 PM
hashar claimed this task.

I could net get a zuul-merger process on lanthanum because of network restrictions.

We are now going to setup scandium on the labs network ( T95046 ). From there it will be easy to add more zuul-merger instances.

This bug was from Bugzilla era to facilitate tracking. With Phabricator fulfill that role. Hence abandoning this tracking bug.

Danny_B renamed this task from Zuul: scale merge operations (tracking) to Scale merge operations (tracking).Jul 10 2016, 1:51 AM
Danny_B added a project: Zuul.
Danny_B updated the task description. (Show Details)
Danny_B removed a subscriber: wikibugs-l-list.